Invite Notes
GET
invite-notes/{noteId}
Retrieves the specified note associated with an invite. Invite notes are internal comments recorded by the project team about the invitation.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/construction/buildingconnected/v2/invite-notes/{noteId} |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
* Required
Request
URI Parameters
| noteId string | The ID of the invite note. |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
Expand all
| id string | The unique ID of the note.
Max length: 24 |
| projectId string | The ID of the BuildingConnected project the note is under.
Max length: 24 |
| bidPackageId string | The ID of the bid package the note is under.
Max length: 24 |
| inviteId string | The ID of the invite the note is associated with.
Max length: 24 |
| currentAccLinkedProjectId string | The project ID of the Forma project currently linked to from this invites’s BuildingConnected project. |
| bidderCompany object | The company that the note is regarding. |
| id string | The ID of the company that the note is regarding.
Max length: 24 |
| createdAt datetime: ISO 8601 | The date and time that the note was created, in ISO 8601 format. |
| createdBy object | Information for a given user on BuildingConnected. |
| id string | The unique BuildingConnected ID of this user.
Max length: 24 |
| firstName string | The user’s first name. |
| lastName string | The user’s last name. |
| email string | The user’s email address. |
| avatarImageUrl string | The cached imgix url for the avatar image of the user. |
| note string | Internal memo for tracking the progress of this bid invitation. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/invite-notes/:noteId' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"id": "59d2bd7440b36a0da258f24f",
"projectId": "59d2bd7440b36a0da258f25a",
"bidPackageId": "59d2bd7440b36a0da258f23b",
"inviteId": "59d2bd7440b36a0da258f1d5",
"currentAccLinkedProjectId": "00f1b796-293a-4c1e-9474-f09711011426",
"bidderCompany": {
"id": "59d2bd7440b36a0da258f24f"
},
"createdAt": "2014-09-25T19:00:00.000Z",
"createdBy": {
"id": "5d8104b87e392d56e1e4b4ca",
"firstName": "First",
"lastName": "Last",
"email": "email@example.com",
"avatarImageUrl": "https://www.example.com/"
},
"note": "I called the client on Monday and they said they will submit their bid late."
}
Show More